
server.port=8086

spring.application.name=sstudy
#注册到我们本地的eureka注册中心，端口8081
eureka.client.service-url.defaultZone=http://127.0.0.1:8081/eureka/
#eureka.client.register-with-eureka=false
#eureka.client.fetch-registry=false
#设置eureka输出日志级别
logging.level.com.netflix=error

spring.datasource.url=jdbc:mysql://dbtest.xhkjedu.com:3306/xhkjedu_school_test?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&rewriteBatchedStatements=true&allowMultiQueries=true
spring.datasource.username=root
spring.datasource.password=_xhkjedu!@#07
spring.mvc.hiddenmethod.filter.enabled=true

#数据库连接池配置
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#允许的最小空闲数
spring.datasource.hikari.minimum-idle=5
#连接池最大连接数
spring.datasource.hikari.maximum-pool-size=15
spring.datasource.hikari.auto-commit=true
#空闲超时是 180000 毫秒，当数据库连接的空闲时间大于180000毫秒时，这些空闲超时的连接会被关闭，直到超时的空闲连接数达到 minimum-idle的值
spring.datasource.hikari.idle-timeout=180000
spring.datasource.hikari.pool-name=DatebookHikariCP
spring.datasource.hikari.max-lifetime=1800000
#连接超时时间设置，默认是30s
spring.datasource.hikari.connection-timeout=20000
# 测试连接是否可用的query 语句 在oracle是 select 1 from dual  36   28.26
spring.datasource.hikari.connection-test-query=SELECT 1

# 所有Entity别名类所在包
mybatis.type-aliases-package=com.xhkjedu.sstudy.model,com.sstudy.xhkjedu.vo
mybatis.mapper-Locations=classpath*:mapper/**/*.xml
mapper.mappers=com.xhkjedu.sstudy.base.TkMapper
mapper.identity=MYSQL
#打印日志
logging.level.com.xhkjedu.sstudy.mapper=debug
#分页
spring.pagehelper.helper-dialect=mysql
spring.datasource.initialize=false

#redis配置
spring.redis.host=cachetest.xhkjedu.com
spring.redis.port=6379
spring.redis.password=xhkjedud07
#超时时间：单位ms
spring.redis.timeout=5000
#设置过期时间10min
spring.redis.jedis.pool.max-idle=300
#最大等待时间：单位ms //高版本改为maxWaitMillis
spring.redis.jedis.pool.max-wait=1000000
spring.redis.jedis.pool.max-active=60000
#缓存访问数据有效时长60*60*24*7
redisdatatime=604800
#secretKey必须为24位
secretKey=nanhuakaizhangjianwangni

rabbitmq.resourceToPdfQueue=xhkjedutest.xhschool.resourceToPdfQueue_dev
rabbitmq.resourceTransferQueue=xhkjedutest.xhschool.resourceTransferQueue_dev
rabbitmq.resourceUnZipQueue=xhkjedutest.xhschool.resourceUnZipQueue_dev
rabbitmq.resourceDelQueue=xhkjedutest.xhschool.resourceDelQueue_dev
rabbitmq.resourceHandleQueue=xhkjedutest.xhschool.resourceHandleQueue_dev
rabbitmq.imgMergeQueue=xhkjedutest.xhschool.imgMergeQueue_dev
rabbitmq.imgMergeHandleQueue=xhkjedutest.xhschool.imgMergeHandleQueue_dev
spring.rabbitmq.host=116.63.199.166
spring.rabbitmq.port=5672
spring.rabbitmq.username=xhkjedu
spring.rabbitmq.password=xhkjedud07
spring.rabbitmq.connection-timeout=15000
#rabbitmq自动签收
spring.rabbitmq.listener.simple.acknowledge-mode=auto
# 是否开启消费者重试（为false时关闭消费者重试）
spring.rabbitmq.listener.simple.retry.enabled=true
# 最大重试重新投递消息次数
spring.rabbitmq.listener.simple.retry.max-attempts=3
# 重试重新投递消息的间隔时间（单位毫秒）
spring.rabbitmq.listener.simple.retry.initial-interval=30000ms
#重试次数超过上面的设置之后，是否丢弃(消费者listener抛出异常，是否重回队列（默认true：重回队列，false：不重回队列（可结合死信交换机））
spring.rabbitmq.listener.simple.default-requeue-rejected=false

#生成id的数值区间
nummin=10000
nummax=50000
numadd=100000000

#定时任务
#默认为false，不开启定时任务
enable.scheduled=false
#每隔1分钟修改学生作业是否显示答案
cron.updatePaperStuShowanswer=0 0/1 * * * ?
#每隔3s清除一下请求地址map
cron.deleteUriMap=0/3 * * * * ?
#每天凌晨1点处理未合并的学生答案
cron.imgMerge=0 0 1 * * ?

#云平台接口地址
cloudapi=http://scapitest.xhkjedu.com/
#云平台文件访问路径
file.oldshowurl=http://scstatictest.xhkjedu.com/static/
#区平台文件服务接口地址
fileapi=https://schoolfiletest.xhkjedu.com/
#区平台文件访问路径
file.showurl=http://schoolstatictest.xhkjedu.com/static/
#数据库名
dbname=xhkjedu_school_test

#版本号
versionname=Test_v3.4.1
